---
title: "Get Publisher Performance"
slug: "get-publisher-performance-report"
updated: 2024-12-09T14:29:58Z
published: 2024-12-09T14:29:58Z
canonical: "help.awin.com/get-publisher-performance-report"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.awin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Publisher Performance

Get/advertisers/{advertiserId}/reports/publisher

		
			

> [!NOTE]
> This API is Available on Zapier
> 
> Automate your workflows with Zapier's easy to use workflow builder. Read more [here](https://developer.awin.com/apidocs/integrate-apis-with-zapier)or go directly our [Zapier Integration Page](https://zapier.com/apps/awin/integrations).

**GET reports aggregated by publisher**

The publisher performance report aggregates transactions, clicks and impressions for all publishers an advertiser works with. If the publisher has no activity (clicks, transactions,..) at all for the selected time frame, it will not be listed in the report.

**Who can use it**

Advertiser

		
		

Header parametersAuthorizationstring

accessToken

Path parametersadvertiserIdinteger (int64) Required

advertiser id

Query parametersaccessTokenstringRequired

access token

dateTypestring

date type, if not set - 'transaction' is the default

Valid values[
  "\"transaction\"",
  "\"validation\""
]Default"transaction"
endDatestring (date) Required

end date

Default"2021-03-15"
startDatestring (date) Required

start date

Default"2021-01-01"
timezonestring

time zone in short or default format

Default"UTC"

		
			

**Further details on query parameters**

| parameter | format | mandatory/optional |
| --- | --- | --- |
| startDate | yyyy-MM-dd | mandatory |
| endDate | yyyy-MM-dd | mandatory |
| dateType | transaction validation | optional (falls back to "transaction" if not set) |
| timezone | America/Sao_Paulo Australia/Sydney Europe/Berlin Europe/Dublin Europe/Helsinki Europe/London Europe/Paris Canada/Central Canada/Eastern Canada/Mountain Canada/Pacific US/Central US/Eastern US/Mountain US/Pacific UTC | mandatory |

		
		

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='bb13e047-d8ce-4812-9e83-73d942d54568'>application/json;charset=UTF-8</option>
</select>Expand Allobject  bodyobject  
statusCodestring    Valid values[
  "\"100 CONTINUE\"",
  "\"101 SWITCHING_PROTOCOLS\"",
  "\"102 PROCESSING\"",
  "\"103 CHECKPOINT\"",
  "\"200 OK\"",
  "\"201 CREATED\"",
  "\"202 ACCEPTED\"",
  "\"203 NON_AUTHORITATIVE_INFORMATION\"",
  "\"204 NO_CONTENT\"",
  "\"205 RESET_CONTENT\"",
  "\"206 PARTIAL_CONTENT\"",
  "\"207 MULTI_STATUS\"",
  "\"208 ALREADY_REPORTED\"",
  "\"226 IM_USED\"",
  "\"300 MULTIPLE_CHOICES\"",
  "\"301 MOVED_PERMANENTLY\"",
  "\"302 FOUND\"",
  "\"302 MOVED_TEMPORARILY\"",
  "\"303 SEE_OTHER\"",
  "\"304 NOT_MODIFIED\"",
  "\"305 USE_PROXY\"",
  "\"307 TEMPORARY_REDIRECT\"",
  "\"308 PERMANENT_REDIRECT\"",
  "\"400 BAD_REQUEST\"",
  "\"401 UNAUTHORIZED\"",
  "\"402 PAYMENT_REQUIRED\"",
  "\"403 FORBIDDEN\"",
  "\"404 NOT_FOUND\"",
  "\"405 METHOD_NOT_ALLOWED\"",
  "\"406 NOT_ACCEPTABLE\"",
  "\"407 PROXY_AUTHENTICATION_REQUIRED\"",
  "\"408 REQUEST_TIMEOUT\"",
  "\"409 CONFLICT\"",
  "\"410 GONE\"",
  "\"411 LENGTH_REQUIRED\"",
  "\"412 PRECONDITION_FAILED\"",
  "\"413 PAYLOAD_TOO_LARGE\"",
  "\"413 REQUEST_ENTITY_TOO_LARGE\"",
  "\"414 URI_TOO_LONG\"",
  "\"414 REQUEST_URI_TOO_LONG\"",
  "\"415 UNSUPPORTED_MEDIA_TYPE\"",
  "\"416 REQUESTED_RANGE_NOT_SATISFIABLE\"",
  "\"417 EXPECTATION_FAILED\"",
  "\"418 I_AM_A_TEAPOT\"",
  "\"419 INSUFFICIENT_SPACE_ON_RESOURCE\"",
  "\"420 METHOD_FAILURE\"",
  "\"421 DESTINATION_LOCKED\"",
  "\"422 UNPROCESSABLE_ENTITY\"",
  "\"423 LOCKED\"",
  "\"424 FAILED_DEPENDENCY\"",
  "\"425 TOO_EARLY\"",
  "\"426 UPGRADE_REQUIRED\"",
  "\"428 PRECONDITION_REQUIRED\"",
  "\"429 TOO_MANY_REQUESTS\"",
  "\"431 REQUEST_HEADER_FIELDS_TOO_LARGE\"",
  "\"451 UNAVAILABLE_FOR_LEGAL_REASONS\"",
  "\"500 INTERNAL_SERVER_ERROR\"",
  "\"501 NOT_IMPLEMENTED\"",
  "\"502 BAD_GATEWAY\"",
  "\"503 SERVICE_UNAVAILABLE\"",
  "\"504 GATEWAY_TIMEOUT\"",
  "\"505 HTTP_VERSION_NOT_SUPPORTED\"",
  "\"506 VARIANT_ALSO_NEGOTIATES\"",
  "\"507 INSUFFICIENT_STORAGE\"",
  "\"508 LOOP_DETECTED\"",
  "\"509 BANDWIDTH_LIMIT_EXCEEDED\"",
  "\"510 NOT_EXTENDED\"",
  "\"511 NETWORK_AUTHENTICATION_REQUIRED\""
]
statusCodeValueinteger  (int32)    

		
			

**Which data fields do we provide**

| field name | description |
| --- | --- |
| advertiserId | ID of the advertiser/ corresponding with advertiserName |
| advertiserName | Name of the advertiser/ corresponding with advertiserId |
| publisherId | ID of the publisher/ corresponding with publisherName |
| publisherName | Name of the publisher/ corresponding with publisherId |
| region |  |
| currency | ISO code |
| impressions | number of impressions |
| clicks | number of clicks |
| pendingNo | number of pending transactions |
| pendingValue | value of the pending transactions |
| pendingComm | commissions of the pending transactions |
| confirmedNo | number of confirmed transactions |
| confirmedValue | value of confirmed transactions |
| confirmedComm | commission of the confirmed transactions |
| bonusNo | number of bonus transactions |
| bonusValue | value of the bonus transactions |
| bonusComm | commission of the bonus transactions |
| totalNo | total number of transactions |
| totalValue | value of all transactions |
| totalComm | commission of all transactions |
| declinedNo | number of declined transactions |
| declinedValue | value of declined transactions |
| declinedComm | commission of declined transactions |
| tags | publisher tags |
